package Source::Shared::FindLocalMirror;

# ABSTRACT: find local mirror of a software distribution

use strict;
use warnings;
our $VERSION='0.011';
our $verbose=0;

my @mirror_roots=qw!
/var/ftp/pub/Linux
/
/var/ftp/pub/distribution
/var/ftp/pub
/mirror
/mirrors
/var/mirror
/var/mirrors
/space
/space/mirror
/srv/public/mirror
/srv/mirror
/srv/mirrors
./
./Linux
./mirror
./mirrors
!;

sub find_local_mirror {
    my ($expect_dirnames_ref)=@_;
    my @found;
    foreach my $expected (@$expect_dirnames_ref) {
	foreach my $mirror_root (@mirror_roots) {
	    my $dir=$mirror_root.($mirror_root eq '/' ? '':'/').$expected;
	    push @found, $dir if -d $dir;
	}
    }
    return wantarray ? @found: $found[0];
}

1;
